"""
Copyright (c) 2021, NVIDIA CORPORATION & AFFILIATES. All rights reserved.
Copyright (C) 2015-2016 Mellanox Technologies Ltd. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
"""

# make sure LD_LIBRARY_PATH contains CLXPY_PATH. TODO before running this script
import sys
CLXPY_PATH = "/opt/mellanox/collectx/lib"      # TODO: verify CLXPY_DIR points to clxpy.so directory
sys.path.append(CLXPY_PATH)
import clxpy

def run_example():
    # single file
    bin_file = "/path/to/collectx/file.bin"    # TODO: set variable to a binary file
    schemas = "/path/to/collectx/schemas_dir"  # TODO: set variable to matching schema directory
    data = clxpy.get_data(file=bin_file, schemas_dir=schemas)
    clxpy.send_to_fluentbit(data, name="forward", host="localhost", port="24224", params={})

    # directory
    data_dir = "/path/to/collectx/data_dir"    # TODO: set variable to collectx data directory
    data = clxpy.get_data(data_dir=data_dir)
    clxpy.send_to_fluentbit(data)

if __name__ == '__main__':
    run_example()
